package cn.hmsoft.frame.data.model;

import java.io.Serializable;

import cn.hmsoft.jdbc.entity.Table;

/**********************************************
 * 系统表-报表定义
 * 
 * @author: zxq
 * @date: 2019-11-15 14:09:36
 * @version: 2.0.0
 * @email: revisit@126.com
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "FRAME_REPORT", keyColumn = "REPORT_NAME", sequenceName = "")
public class FrameReport implements Serializable {
	private static final long serialVersionUID = 5392019028448273850L;
	// 报表名称
	private String report_name;
	// 报表中文名称
	private String report_alias;
	// 对应的资源ID，如果有值，判断是否有权限
	private Integer res_id;
	// sql语句
	private String report_sql;
	// 参数配置信息
	private String report_param;
	// 报表后缀名
	private String report_suffix;
	// 是否显示
	private String index_flag;
	// 报表类型
	private String report_type;
	// 是否使用线程模式
	private String with_thread;

	/****
	 * 报表名称
	 */
	public String getReport_name() {
		return this.report_name;
	}

	/****
	 * 报表名称
	 */
	public void setReport_name(String report_name) {
		this.report_name = report_name;
	}

	/****
	 * 报表中文名称
	 */
	public String getReport_alias() {
		return this.report_alias;
	}

	/****
	 * 报表中文名称
	 */
	public void setReport_alias(String report_alias) {
		this.report_alias = report_alias;
	}

	/****
	 * 对应的资源ID，如果有值，判断是否有权限
	 */
	public Integer getRes_id() {
		return this.res_id;
	}

	/****
	 * 对应的资源ID，如果有值，判断是否有权限
	 */
	public void setRes_id(Integer res_id) {
		this.res_id = res_id;
	}

	/****
	 * sql语句
	 */
	public String getReport_sql() {
		return this.report_sql;
	}

	/****
	 * sql语句
	 */
	public void setReport_sql(String report_sql) {
		this.report_sql = report_sql;
	}

	/****
	 * 参数配置信息
	 */
	public String getReport_param() {
		return this.report_param;
	}

	/****
	 * 参数配置信息
	 */
	public void setReport_param(String report_param) {
		this.report_param = report_param;
	}

	/****
	 * 报表后缀名
	 */
	public String getReport_suffix() {
		return this.report_suffix;
	}

	/****
	 * 报表后缀名
	 */
	public void setReport_suffix(String report_suffix) {
		this.report_suffix = report_suffix;
	}

	/****
	 * 是否显示
	 */
	public String getIndex_flag() {
		return this.index_flag;
	}

	/****
	 * 是否显示
	 */
	public void setIndex_flag(String index_flag) {
		this.index_flag = index_flag;
	}

	public String getReport_type() {
		return report_type;
	}

	public void setReport_type(String report_type) {
		this.report_type = report_type;
	}

	public String getWith_thread() {
		return with_thread;
	}

	public void setWith_thread(String with_thread) {
		this.with_thread = with_thread;
	}

}